%define name qtella
%define version 0.7.0
%define release 1plf

Name:           %{name}
Summary:        A simple Gnutella client
Version:        %{version}
Release:        %{release}
Source:         %{name}-%{version}.tar.bz2
Source2:	qtella.png.bz2
Source3:	qtella16.png.bz2
Source4:	qtella32.png.bz2
Source5:	qtella48.png.bz2

Patch0:         qtella-0.7.0-fix-include.patch.bz2 

URL:            http://qtella.sourceforge.net
Group:          Networking/File transfer
BuildRoot:      %_tmppath/%{name}-%{version}-buildroot
License:	GPL
BuildRequires:  kdelibs-devel

%description
Qtella is a graphical client for the Gnutella network.
You can also share files with it!

This package is in PLF as it contains a P2P software,
which are forbidden in MDK contribs.
%prep

%setup -q
bzcat %{SOURCE2} > $RPM_BUILD_DIR/%{name}-%{version}/qtella.png

%patch0 -p0 -b .fix_missing_errno

%build
%configure --with-qt-dir=/usr/lib/qt3 \
		--enable-debug
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall


# MENU
mkdir -p $RPM_BUILD_ROOT{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE5} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat - << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/qtella" \
needs="X11" \
section="Networking/File Transfer" \
icon="qtella.png" title="Qtella" \
longtitle="Graphical client for the Gnutella network"
EOF


%clean
 [ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != / ] \
 && rm -rf ${RPM_BUILD_ROOT}/

%post
%{update_menus}
 
%postun
%{clean_menus}


%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL
%{_bindir}/qtella

%_datadir/qtella/
#%_datadir/qtella/pixmaps/*.png
#%_datadir/qtella/pixmaps/*.xpm

%{_menudir}/%{name}
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png


%{_libdir}/libyahoo2.a

%changelog
* Wed May 11 2005 Nicolas Lcureuil <neoclust@zarb.org> 0.7.0-1plf
- 0.7.0
- Patch0 fix missing errno.h

* Mon Apr 26 2004 Stefan van der Eijk <stefan@zarb.org> 0.6.4-1plf
- 0.6.4

* Sat Aug 30 2003 Michael Scherer <scherer.michael@free.fr> 0.6.2-2plf 
- [DIRM]
- clean the spec

* Sat Jul 26 2003 Stefan van der Eijk <stefan@eijk.nu> 0.6.2-1plf
- 0.6.2

* Tue Mar  4 2003 Stefan van der Eijk <stefan@eijk.nu> 0.6.1-1plf
- 0.6.1

* Sat Sep 07 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.3-2plf
- rebuild for latest libstdc++

* Thu Jun 04 2002 Claudio Panichi <cooker@roma2.infn.it> 0.5.3-1plf
- Release 0.5.3 (still unstable)
- Build against libQT-3 (qt2 fails!)

* Thu Apr 11 2002 Stefan van der Eijk <stefan@eijk.nu> 0.5.1-1plf
- 0.5.1 (unstable release)

* Thu Mar 28 2002 Stefan van der Eijk <stefan@eijk.nu> 0.4.2-1plf
- 0.4.2
- BuildRequires (remove gcc-c++ --> should be required by rpm-build)

* Fri Mar 22 2002 Stefan van der Eijk <stefan@eijk.nu> 0.4.1-1plf
- 0.4.1b
- BuildRequires & remove Requires

* Thu Mar 07 2002 Marcel Pol <mpol@gmx.net> 0.4.0-1plf
- PLF build

* Sun Feb 17 2002 Claudio Panichi <sorcla@tiscalinet.it> 0.4.0-1mdk
- Stable release 0.4.0
- Build for 8.2

* Mon Feb 04 2002 Claudio Panichi <sorcla@tiscalinet.it> 0.3.6-3mdk
- Changed icons: using the image found at qtella.sourceforge.net now!
- Changed icons format xpm --> png


* Wed Jan 30 2002 Claudio Panichi <sorcla@tiscalinet.it> 0.3.6-2mdk
- Rebuild on 8.2 beta 1 (now use latest libpng!)
- Removed some zero-lenght files

* Wed Jan 30 2002 Claudio Panichi <sorcla@tiscalinet.it> 0.3.6-1mdk
- 0.3.6

* Wed Jan 16 2002 Claudio Panichi <sorcla@tiscalinet.it> 0.3.4-1mdk
- Version 0.3.4 (Still unstable, bugfix-release)

* Sat Jan 12 2002 Claudio Panichi <sorcla@tiscalinet.it> 0.3.3-1mdk
- Version 0.3.3

* Wed Dec 05 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.3.2-1mdk
- Version 0.3.2

* Sun Dec 02 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.3.1-1mdk
- Here we are with the great 0.3.1! ;o)
- Added pixmap-files

* Sun Sep 23 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.2.3-1mdk
- Updated sourcecode to version 0.2.3

* Sat Sep 22 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.2.2-3mdk
- Recompiled with --enable-debug option (for Nicolap ;o)) 

* Mon Sep 10 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.2.2-2mdk
- Fixed permissions on qtella*bz2 file

* Mon Sep 10 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.2.2-1mdk
- Force directory creation for default icons before first compilation
- Updated sourcecode to version 0.2.2

* Sat Sep 01 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.2.1-3mdk
- Changed permissions on all source files. Now they're all rw-r--r--
- Specfile cleanup. Ready to send 0.2.1  :o)

* Sat Sep 01 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.2.1-2mdk
- Removed kdelibs in Requires/BuildRequires because now package
  provides its own icons!

* Sat Sep 01 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.2.1-1mdk
- Added kdelibs in BuildRequires (for icons... gotta make its own ones!)
- Sourcecode is updated to 0.2.1 (bugfix release)

* Mon Aug 27 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.2.0-3mdk
- 0.2.0 final

* Mon Aug 20 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.2.0-2mdk
- Changed name from Qtella to qtella (q is lowercase now!)
- New Snapshot (20010819a)

* Wed Jul 25 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.2.0-1mdk
- Update sourcecode to version 0.2.0
- Enabled QT

* Sat Jul 14 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.1.2.3-3mdk
- Changed permission on source file .tar.bz2
- Changed "Copyright" entry into "License"

* Fri Jul 13 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.1.2.3-2mdk
- Added entry for Mandrake's menu system

* Fri Jul 13 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.1.2.3-1mdk
- First release for mdk, first RPM at all!
